package com.utopiaindustries.model.ctp;

import java.math.BigDecimal;

public class InventorySummary {

    private long itemId;
    private String sku;
    private String parentDocumentType;
    private String pieceType;
    private BigDecimal balance;

    public long getItemId() {
        return itemId;
    }

    public void setItemId(long itemId) {
        this.itemId = itemId;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getParentDocumentType() {
        return parentDocumentType;
    }

    public void setParentDocumentType(String parentDocumentType) {
        this.parentDocumentType = parentDocumentType;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public String getPieceType() {
        return pieceType;
    }

    public void setPieceType(String pieceType) {
        this.pieceType = pieceType;
    }

    @Override
    public String toString() {
        return "InventorySummary{" +
                "itemId=" + itemId +
                ", sku='" + sku + '\'' +
                ", parentDocumentType='" + parentDocumentType + '\'' +
                ", pieceType='" + pieceType + '\'' +
                ", balance=" + balance +
                '}';
    }
}
